<?php

namespace App\Model\Street;


class ConfigList extends Base
{
    protected $updateTime = false;
    protected $autoTimeStamp = true;
    protected $pk = 'id';
    protected $tableName = 'config_list';
    protected $tableField = [
        'id' => [],
        'config' => ['type' => 'string'],
    ];

    protected $operation = [
        'add' => [
            'field' => '*',
        ],
        'edit' => [
            'field' => '*'
        ],
        'search' => [
            'field' => ['pid', 'server_id', 'ip', 'status', 'forbidden_server_id', 'title']
        ]
    ];

    public function getNextId()
    {
        $next = $this->where(['id' => 'next_id'])->field('config')->get();
        if ($next) return $next['config'];
        return '';
    }

    public function updateNextId($next_id){
        $next_id=empty($next_id)?'':$next_id;
        $this->where(['id'=>'next_id'])->update(['config'=>$next_id]);
    }
}
